
QGIS Application - Bug report #9107

remove GRASS nviz from modeller

2013-11-21 08:21 AM - João Gaspar

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17750

Description

Hi there,

I test a small model using NVIZ as my final algorithm. When try to use the NVIZ in model of the modeler gives a python error. And don't let

me save or continue inserting algorithms in the model.

QGIS version    2.0.1-Dufour | QGIS code revision ebebdf3

Compiled against Qt 4.7.1 | Running against Qt 4.7.1

Compiled against GDAL/OGR 1.10.1 | Running against GDAL/OGR 1.10.1

Compiled against GEOS    3.3.8-CAPI-1.7.8 | Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version 8.3.10 | SpatiaLite Version 4.1.1

QWT Version 5.2.1 | PROJ.4 Version 480

QScintilla2 Version 2.6.2

Anyone have the same experience?

Meanwhile i saw a new update of processing i will update and test again.

Regards

João

Associated revisions

Revision 3a514269 - 2016-01-12 07:24 PM - Alexander Bruy

[processing] remove nviz algorithm from modeller (fix #9107)

History

#1 - 2013-11-21 09:50 AM - Giovanni Manghi

can you share the model?

#2 - 2013-11-21 10:50 AM - João Gaspar

- File 3Dmodel.model added

When i say small is simple: 1 raster (elevation) and 1 raster (color) and the algorithm NVIZ
Yes but only with the input data (I define for a raster layer the elevation and the other raster layer i define the color) because when i click in algorithm and

select the rasters in NVIZ and click OK than give me the previous attachment error that i sent. And then don't let me put other algorithms or save and then

i'm "force" to exit without save.

Try put the algorithm NVIZ to see if give an error.

If give you an error then try put another algorithm, in my case modeler give an error with all algorithms and file types that i try to put and I need to close

without save and start again the modeler.

Regards.

#3 - 2013-11-21 11:10 AM - Giovanni Manghi

- Subject changed from Error using algorithms and files after Put the NVIZ in the model to python error when adding nviz in a model

When adding nviz in a model the following pyhton error shows.

Probably it would be better to remove nviz from the modeller, I don't think makes much sense there, unless I'm missing something :)

Traceback (most recent call last):

  File "/home/giovanni/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 324, in addAlgorithm

    self.repaintModel()

  File "/home/giovanni/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 281, in repaintModel

    self.scene.paintModel(self.alg)

  File "/home/giovanni/.qgis2/python/plugins/processing/modeler/ModelerScene.py", line 146, in paintModel

    ParameterMultipleInput))

  File "/home/giovanni/.qgis2/python/plugins/processing/modeler/ModelerScene.py", line 87, in getItemsFromAAP

    aap = AlgorithmAndParameter(float(token.split('|')[0]),

ValueError: could not convert string to float:

#4 - 2013-11-21 12:02 PM - João Gaspar

Yes i agree. My first idea was create a automatic workflow starting with vector contour lines > interpolation > NVIZ.

But is better remove. ;)

#5 - 2014-10-04 12:16 PM - Giovanni Manghi

- Affected QGIS version set to 2.4.0

- Crashes QGIS or corrupts data set to No

- Category deleted (64)

- Project changed from 78 to QGIS Application

#6 - 2014-10-04 12:17 PM - Giovanni Manghi

- Category set to Processing/Modeller

#7 - 2015-05-25 07:45 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

- Subject changed from python error when adding nviz in a model to remove GRASS nviz from modeller

- Target version set to Future Release - Lower Priority
#8 - 2016-01-12 10:25 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"3a514269ea0e3d97a1c6cc6a5abd9302c91d7f09".

#9 - 2016-01-12 10:35 AM - Alexander Bruy

- Resolution set to fixed/implemented

Files

Traceback_error.txt 1.83 KB 2013-11-21 João Gaspar

3Dmodel.model 175 Bytes 2013-11-21 João Gaspar
